#include <iostream>
#include <vector>

int main() {
    // Create a 2D vector with 3 rows and 4 columns
    std::vector<std::vector<int>> matrix(3, std::vector<int>(4, 0));

    // Assign values to the 2D vector
    for (int i = 0; i < 3; ++i) {
        for (int j = 0; j < 4; ++j) {
            matrix[i][j] = i * 4 + j;
        }
    }

    // Print the 2D vector
    for (const auto& row : matrix) {
        for (int value : row) {
            std::cout << value << " ";
        }
        std::cout << std::endl;
    }

    return 0;
}

